Name:           MochiKit
Version:        1.4.2
Release:        16%{?dist}
Summary:        Lightweight JavaScript library

Group:          Applications/Internet
License:        (MIT or AFL) and BSD
URL:            http://www.mochikit.com/
Source0:        http://www.mochikit.com/dist/%{name}-%{version}.zip
Source1:        %{name}.conf
# Updated license.txt from upstream (modified to apply to a tarball)
Patch0:         0001-Updated-license-text-to-reflect-original-YAHOO-copyr.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#BuildRequires:  
Requires:       httpd

%description
MochiKit is a highly-documented and well-tested suite of JavaScript libraries
that will help you get stuff done, fast.

%prep
%setup -q
%patch0 -p1 -b .lcns

find \( -name \*.js -o -name \*.css \) -exec sed -i 's/\r//g' {} \;

# Fix for bug 440052 - fixes path of MochiKit libs in source
# Thanks to ivasquez for the awesome regex
find ./examples/ \( -name \*.html \) -exec sed -i -e 's!\(src="\)[^"]*\(/MochiKit/[^.]*\.js"\)!\1\2!' {} \;

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 0644 lib/MochiKit/* $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes doc examples LICENSE.txt
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 4 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4.2-5
- Fix the license information

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Adam Miller <maxamillion AT gmail DOT com> 1.4.2-2
- Fix for bug 440052 - fixes path of MochiKit libs in source
- Thanks to ivasquez for the awesome regex

* Wed Feb 11 2009 Adam Miller <maxamillion AT gmail DOT com> 1.4.2-1
- new release of MochiKit

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.1-2
- fix license tag

* Sun May 21 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.3.1-1
- Upstream update

* Sun Feb 12 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2-1
- Initial RPM release
